import {request, request_ip} from "@/request/index.js";

export const get_overtime_show_info = (params) => {
    const req_params = {
        ip: params['ip']
    }
    console.log(req_params)
    return request({
        url: '/api/get_overtime_show',
        method: 'get',
        params: req_params
    })
}

export const get_response_json = (params) => {
    console.log(params)
    return request({
        url: 'api/get_response_json',
        method: 'get',
        params: params
    })
}

export const set_overtime_config = (params) => {
    const req_params = {
        ip: params['ip'],
        show_id: params['show_id'],
        audit_status: params['audit_status'],
    }
    console.log(req_params)
    return request({
        url: 'api/set_overtime_config',
        method: 'get',
        params: req_params
    })
}

export const set_error_code_config = (params) => {
    return request({
        url: 'api/set_error_code_config',
        method: 'get',
        params: params
    })
}

// export const get_valid_error_json = (params) => {
//     const req_params = {
//         error_code: params['errorCode'],
//     }
//     console.log(req_params)
//     return request(
//         {
//             url: 'api/get_response_json',
//             method: 'get',
//             params: params
//         }
//     )
// }


export const start_mock = (params, data) => {
    console.log(params)
    return request({
        url: 'api/start_mock',
        method: 'post',
        params: params,
        data: data
    })
}

export const end_mock = (params) => {
    console.log(params)
    return request({
        url: 'api/end_mock',
        method: 'get',
        params: params,
    })
}